summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2011-09-02 22:21:51 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-09-02 22:21:51 -0300
commit988aacfea16befd9738f72deb763a462beb1cdcd (patch)
treeac777502b2d88043faac847515914f59159641bf /academic
parent00668f37751b72fa4f3f08d2152190277f9f1f17 (diff)
downloadslackbuilds-988aacfea16befd9738f72deb763a462beb1cdcd.tar.gz
slackbuilds-988aacfea16befd9738f72deb763a462beb1cdcd.tar.xz
academic/seaview: Added (sequence alignment and phylogeny GUI)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/seaview/README30
-rw-r--r--academic/seaview/References5
-rw-r--r--academic/seaview/doinst.sh3
-rw-r--r--academic/seaview/seaview.SlackBuild88
-rw-r--r--academic/seaview/seaview.desktop7
-rw-r--r--academic/seaview/seaview.info10
-rw-r--r--academic/seaview/slack-desc19
7 files changed, 162 insertions, 0 deletions
diff --git a/academic/seaview/README b/academic/seaview/README
new file mode 100644
index 0000000000..8e1bd893b4
--- /dev/null
+++ b/academic/seaview/README
@@ -0,0 +1,30 @@
+SeaView is a multiplatform, graphical user interface for multiple
+sequence alignment and molecular phylogeny. Important features are:
+
+1) SeaView reads and writes various file formats (NEXUS, MSF,
+ CLUSTAL, FASTA, PHYLIP, MASE, Newick) of DNA and protein sequences
+ and of phylogenetic trees.
+
+2) SeaView drives programs muscle or clustalw for multiple sequence
+ alignment, and also allows to use any external alignment algorithm
+ able to read and write FASTA-formatted files.
+
+3) SeaView computes phylogenetic trees by
+ a) parsimony, using PHYLIP's dnapars/protpars algorithm,
+ b) distance, with NJ or BioNJ algorithms on a variety of
+ evolutionary distances,
+ c) maximum likelihood, driving program PhyML 3.0.
+
+4) SeaView draws phylogenetic trees on screen, PDF or PostScript files
+5) SeaView allows to download sequences from EMBL/GenBank/UniProt
+ using the Internet.
+
+For details and citation:
+Gouy M., Guindon S. & Gascuel O. (2010) SeaView version 4 : a
+multiplatform graphical user interface for sequence alignment and
+phylogenetic tree building. Molecular Biology and Evolution
+27(2):221-224.
+
+Seaview requires fltk as a build depencency, but you need clustalw,
+PhyML and muscle, which SeaView drives. All of these are available at
+SlackBuilds.org.
diff --git a/academic/seaview/References b/academic/seaview/References
new file mode 100644
index 0000000000..d65333fc46
--- /dev/null
+++ b/academic/seaview/References
@@ -0,0 +1,5 @@
+References:
+
+Gouy M., Guindon S. & Gascuel O. (2010) SeaView version 4 : a
+multiplatform graphical user interface for sequence alignment and
+phylogenetic tree building. Molecular Biology and Evolution 27(2):221-224.
diff --git a/academic/seaview/doinst.sh b/academic/seaview/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/seaview/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/seaview/seaview.SlackBuild b/academic/seaview/seaview.SlackBuild
new file mode 100644
index 0000000000..6e8967e0da
--- /dev/null
+++ b/academic/seaview/seaview.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for seaview
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=seaview
+VERSION=${VERSION:-4.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Use our CFLAGS
+sed -i "/^CFLAGS/s/=/+=/" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+
+install -D -m755 seaview $PKG/usr/bin/seaview
+install -D -m644 seaview.1 $PKG/usr/man/man1/seaview.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a seaview.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp seaview.xpm $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/seaview/seaview.desktop b/academic/seaview/seaview.desktop
new file mode 100644
index 0000000000..be832dc373
--- /dev/null
+++ b/academic/seaview/seaview.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Categories=Education;
+Exec=seaview
+Icon=seaview.xpm
+Name=Seaview
+StartupNotify=false
+Type=Application
diff --git a/academic/seaview/seaview.info b/academic/seaview/seaview.info
new file mode 100644
index 0000000000..8603a2ca39
--- /dev/null
+++ b/academic/seaview/seaview.info
@@ -0,0 +1,10 @@
+PRGNAM="seaview"
+VERSION="4.3.0"
+HOMEPAGE="http://pbil.univ-lyon1.fr/software/seaview.html"
+DOWNLOAD="http://pbil.univ-lyon1.fr/software/seaview_data/seaview.tar.gz"
+MD5SUM="dc56d18e63c4c9110d9cf6198c86bd34"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"
diff --git a/academic/seaview/slack-desc b/academic/seaview/slack-desc
new file mode 100644
index 0000000000..901dc2c0f5
--- /dev/null
+++ b/academic/seaview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+seaview: seaview (Multiple sequence alignment and phylogeny GUI)
+seaview:
+seaview: SeaView is a multiplatform, graphical user interface for multiple
+seaview: sequence alignment and molecular phylogeny.
+seaview:
+seaview:
+seaview:
+seaview:
+seaview:
+seaview: References: /usr/doc/seaview-$VERSION/References
+seaview: Home: http://pbil.univ-lyon1.fr/software/seaview.html